Attribute VB_Name = "CMQCFB"
Option Explicit
'**********************************************************************'
'*                                                                    *'
'*  Program name:  CMQCFB                                             *'
'*                                                                    *'
'*  Description:   This file declares calls, structures, and          *'
'*                 constants for the IBM Message Queue Interface      *'
'*                 (MQI) in the Windows Visual Basic                  *'
'*                 environment.                                       *'
'*                                                                    *'
'*  Statement:     Licensed Materials - Property of IBM               *'
'*                 (C) Copyright IBM Corp. 1994, 1998                 *'
'*                                                                    *'
'*                 04L1830, 5639-B43                                  *'
'*                                                                    *'
'*                 U.S. Government Users Restricted Rights -          *'
'*                 use, duplication or disclosure restricted by       *'
'*                 GSA ADP Schedule Contract with IBM Corp.           *'
'*                                                                    *'
'**********************************************************************'

'*********************************************************************'
'*  Values Related to MQCFH Structure                                *'
'*********************************************************************'

' Structure Length
Global Const MQCFH_STRUC_LENGTH = 36

 ' Structure Version Number
Global Const MQCFH_VERSION_1 = 1
Global Const MQCFH_CURRENT_VERSION = 1

' Command Codes
Global Const MQCMD_NONE = 0
Global Const MQCMD_CHANGE_Q_MGR = 1
Global Const MQCMD_INQUIRE_Q_MGR = 2
Global Const MQCMD_CHANGE_PROCESS = 3
Global Const MQCMD_COPY_PROCESS = 4
Global Const MQCMD_CREATE_PROCESS = 5
Global Const MQCMD_DELETE_PROCESS = 6
Global Const MQCMD_INQUIRE_PROCESS = 7
Global Const MQCMD_CHANGE_Q = 8
Global Const MQCMD_CLEAR_Q = 9
Global Const MQCMD_COPY_Q = 10
Global Const MQCMD_CREATE_Q = 11
Global Const MQCMD_DELETE_Q = 12
Global Const MQCMD_INQUIRE_Q = 13
Global Const MQCMD_RESET_Q_STATS = 17
Global Const MQCMD_INQUIRE_Q_NAMES = 18
Global Const MQCMD_INQUIRE_PROCESS_NAMES = 19
Global Const MQCMD_INQUIRE_CHANNEL_NAMES = 20
Global Const MQCMD_CHANGE_CHANNEL = 21
Global Const MQCMD_COPY_CHANNEL = 22
Global Const MQCMD_CREATE_CHANNEL = 23
Global Const MQCMD_DELETE_CHANNEL = 24
Global Const MQCMD_INQUIRE_CHANNEL = 25
Global Const MQCMD_PING_CHANNEL = 26
Global Const MQCMD_RESET_CHANNEL = 27
Global Const MQCMD_START_CHANNEL = 28
Global Const MQCMD_STOP_CHANNEL = 29
Global Const MQCMD_START_CHANNEL_INIT = 30
Global Const MQCMD_START_CHANNEL_LISTENER = 31
Global Const MQCMD_CHANGE_NAMELIST = 32
Global Const MQCMD_COPY_NAMELIST = 33
Global Const MQCMD_CREATE_NAMELIST = 34
Global Const MQCMD_DELETE_NAMELIST = 35
Global Const MQCMD_INQUIRE_NAMELIST = 36
Global Const MQCMD_ESCAPE = 38
Global Const MQCMD_RESOLVE_CHANNEL = 39
Global Const MQCMD_PING_Q_MGR = 40
Global Const MQCMD_INQUIRE_CHANNEL_STATUS = 42
Global Const MQCMD_Q_MGR_EVENT = 44
Global Const MQCMD_PERFM_EVENT = 45
Global Const MQCMD_CHANNEL_EVENT = 46
Global Const MQCMD_INQUIRE_CLUSTER_Q_MGR = 70
Global Const MQCMD_RESUME_Q_MGR_CLUSTER = 71
Global Const MQCMD_SUSPEND_Q_MGR_CLUSTER = 72
Global Const MQCMD_REFRESH_CLUSTER = 73
Global Const MQCMD_RESET_CLUSTER = 74

' Control Options
Global Const MQCFC_LAST = 1
Global Const MQCFC_NOT_LAST = 0

' Reason Codes
Global Const MQRCCF_CFH_TYPE_ERROR = 3001
Global Const MQRCCF_CFH_LENGTH_ERROR = 3002
Global Const MQRCCF_CFH_VERSION_ERROR = 3003
Global Const MQRCCF_CFH_MSG_SEQ_NUMBER_ERR = 3004
Global Const MQRCCF_CFH_CONTROL_ERROR = 3005
Global Const MQRCCF_CFH_PARM_COUNT_ERROR = 3006
Global Const MQRCCF_CFH_COMMAND_ERROR = 3007
Global Const MQRCCF_COMMAND_FAILED = 3008
Global Const MQRCCF_CFIN_LENGTH_ERROR = 3009
Global Const MQRCCF_CFST_LENGTH_ERROR = 3010
Global Const MQRCCF_CFST_STRING_LENGTH_ERR = 3011
Global Const MQRCCF_FORCE_VALUE_ERROR = 3012
Global Const MQRCCF_STRUCTURE_TYPE_ERROR = 3013
Global Const MQRCCF_CFIN_PARM_ID_ERROR = 3014
Global Const MQRCCF_CFST_PARM_ID_ERROR = 3015
Global Const MQRCCF_MSG_LENGTH_ERROR = 3016
Global Const MQRCCF_CFIN_DUPLICATE_PARM = 3017
Global Const MQRCCF_CFST_DUPLICATE_PARM = 3018
Global Const MQRCCF_PARM_COUNT_TOO_SMALL = 3019
Global Const MQRCCF_PARM_COUNT_TOO_BIG = 3020
Global Const MQRCCF_Q_ALREADY_IN_CELL = 3021
Global Const MQRCCF_Q_TYPE_ERROR = 3022
Global Const MQRCCF_MD_FORMAT_ERROR = 3023
Global Const MQRCCF_CFSL_LENGTH_ERROR = 3024
Global Const MQRCCF_REPLACE_VALUE_ERROR = 3025
Global Const MQRCCF_CFIL_DUPLICATE_VALUE = 3026
Global Const MQRCCF_CFIL_COUNT_ERROR = 3027
Global Const MQRCCF_CFIL_LENGTH_ERROR = 3028
Global Const MQRCCF_QUIESCE_VALUE_ERROR = 3029
Global Const MQRCCF_MSG_SEQ_NUMBER_ERROR = 3030
Global Const MQRCCF_PING_DATA_COUNT_ERROR = 3031
Global Const MQRCCF_PING_DATA_COMPARE_ERROR = 3032
Global Const MQRCCF_CFSL_PARM_ID_ERROR = 3033
Global Const MQRCCF_CHANNEL_TYPE_ERROR = 3034
Global Const MQRCCF_PARM_SEQUENCE_ERROR = 3035
Global Const MQRCCF_XMIT_PROTOCOL_TYPE_ERR = 3036
Global Const MQRCCF_BATCH_SIZE_ERROR = 3037
Global Const MQRCCF_DISC_INT_ERROR = 3038
Global Const MQRCCF_SHORT_RETRY_ERROR = 3039
Global Const MQRCCF_SHORT_TIMER_ERROR = 3040
Global Const MQRCCF_LONG_RETRY_ERROR = 3041
Global Const MQRCCF_LONG_TIMER_ERROR = 3042
Global Const MQRCCF_SEQ_NUMBER_WRAP_ERROR = 3043
Global Const MQRCCF_MAX_MSG_LENGTH_ERROR = 3044
Global Const MQRCCF_PUT_AUTH_ERROR = 3045
Global Const MQRCCF_PURGE_VALUE_ERROR = 3046
Global Const MQRCCF_CFIL_PARM_ID_ERROR = 3047
Global Const MQRCCF_MSG_TRUNCATED = 3048
Global Const MQRCCF_CCSID_ERROR = 3049
Global Const MQRCCF_ENCODING_ERROR = 3050
Global Const MQRCCF_DATA_CONV_VALUE_ERROR = 3052
Global Const MQRCCF_INDOUBT_VALUE_ERROR = 3053
Global Const MQRCCF_ESCAPE_TYPE_ERROR = 3054
Global Const MQRCCF_CHANNEL_TABLE_ERROR = 3062
Global Const MQRCCF_MCA_TYPE_ERROR = 3063
Global Const MQRCCF_CHL_INST_TYPE_ERROR = 3064
Global Const MQRCCF_CHL_STATUS_NOT_FOUND = 3065
Global Const MQRCCF_CFSL_DUPLICATE_PARM = 3066
Global Const MQRCCF_CFSL_TOTAL_LENGTH_ERROR = 3067
Global Const MQRCCF_CFSL_COUNT_ERROR = 3068
Global Const MQRCCF_CFSL_STRING_LENGTH_ERR = 3069
Global Const MQRCCF_OBJECT_ALREADY_EXISTS = 4001
Global Const MQRCCF_OBJECT_WRONG_TYPE = 4002
Global Const MQRCCF_LIKE_OBJECT_WRONG_TYPE = 4003
Global Const MQRCCF_OBJECT_OPEN = 4004
Global Const MQRCCF_ATTR_VALUE_ERROR = 4005
Global Const MQRCCF_UNKNOWN_Q_MGR = 4006
Global Const MQRCCF_Q_WRONG_TYPE = 4007
Global Const MQRCCF_OBJECT_NAME_ERROR = 4008
Global Const MQRCCF_ALLOCATE_FAILED = 4009
Global Const MQRCCF_HOST_NOT_AVAILABLE = 4010
Global Const MQRCCF_CONFIGURATION_ERROR = 4011
Global Const MQRCCF_CONNECTION_REFUSED = 4012
Global Const MQRCCF_ENTRY_ERROR = 4013
Global Const MQRCCF_SEND_FAILED = 4014
Global Const MQRCCF_RECEIVED_DATA_ERROR = 4015
Global Const MQRCCF_RECEIVE_FAILED = 4016
Global Const MQRCCF_CONNECTION_CLOSED = 4017
Global Const MQRCCF_NO_STORAGE = 4018
Global Const MQRCCF_NO_COMMS_MANAGER = 4019
Global Const MQRCCF_LISTENER_NOT_STARTED = 4020
Global Const MQRCCF_BIND_FAILED = 4024
Global Const MQRCCF_CHANNEL_INDOUBT = 4025
Global Const MQRCCF_MQCONN_FAILED = 4026
Global Const MQRCCF_MQOPEN_FAILED = 4027
Global Const MQRCCF_MQGET_FAILED = 4028
Global Const MQRCCF_MQPUT_FAILED = 4029
Global Const MQRCCF_PING_ERROR = 4030
Global Const MQRCCF_CHANNEL_IN_USE = 4031
Global Const MQRCCF_CHANNEL_NOT_FOUND = 4032
Global Const MQRCCF_UNKNOWN_REMOTE_CHANNEL = 4033
Global Const MQRCCF_REMOTE_QM_UNAVAILABLE = 4034
Global Const MQRCCF_REMOTE_QM_TERMINATING = 4035
Global Const MQRCCF_MQINQ_FAILED = 4036
Global Const MQRCCF_NOT_XMIT_Q = 4037
Global Const MQRCCF_CHANNEL_DISABLED = 4038
Global Const MQRCCF_USER_EXIT_NOT_AVAILABLE = 4039
Global Const MQRCCF_COMMIT_FAILED = 4040
Global Const MQRCCF_CHANNEL_ALREADY_EXISTS = 4042
Global Const MQRCCF_DATA_TOO_LARGE = 4043
Global Const MQRCCF_CHANNEL_NAME_ERROR = 4044
Global Const MQRCCF_XMIT_Q_NAME_ERROR = 4045
Global Const MQRCCF_MCA_NAME_ERROR = 4047
Global Const MQRCCF_SEND_EXIT_NAME_ERROR = 4048
Global Const MQRCCF_SEC_EXIT_NAME_ERROR = 4049
Global Const MQRCCF_MSG_EXIT_NAME_ERROR = 4050
Global Const MQRCCF_RCV_EXIT_NAME_ERROR = 4051
Global Const MQRCCF_XMIT_Q_NAME_WRONG_TYPE = 4052
Global Const MQRCCF_MCA_NAME_WRONG_TYPE = 4053
Global Const MQRCCF_DISC_INT_WRONG_TYPE = 4054
Global Const MQRCCF_SHORT_RETRY_WRONG_TYPE = 4055
Global Const MQRCCF_SHORT_TIMER_WRONG_TYPE = 4056
Global Const MQRCCF_LONG_RETRY_WRONG_TYPE = 4057
Global Const MQRCCF_LONG_TIMER_WRONG_TYPE = 4058
Global Const MQRCCF_PUT_AUTH_WRONG_TYPE = 4059
Global Const MQRCCF_MISSING_CONN_NAME = 4061
Global Const MQRCCF_CONN_NAME_ERROR = 4062
Global Const MQRCCF_MQSET_FAILED = 4063
Global Const MQRCCF_CHANNEL_NOT_ACTIVE = 4064
Global Const MQRCCF_TERMINATED_BY_SEC_EXIT = 4065
Global Const MQRCCF_DYNAMIC_Q_SCOPE_ERROR = 4067
Global Const MQRCCF_CELL_DIR_NOT_AVAILABLE = 4068
Global Const MQRCCF_MR_COUNT_ERROR = 4069
Global Const MQRCCF_MR_COUNT_WRONG_TYPE = 4070
Global Const MQRCCF_MR_EXIT_NAME_ERROR = 4071
Global Const MQRCCF_MR_EXIT_NAME_WRONG_TYPE = 4072
Global Const MQRCCF_MR_INTERVAL_ERROR = 4073
Global Const MQRCCF_MR_INTERVAL_WRONG_TYPE = 4074
Global Const MQRCCF_NPM_SPEED_ERROR = 4075
Global Const MQRCCF_NPM_SPEED_WRONG_TYPE = 4076
Global Const MQRCCF_HB_INTERVAL_ERROR = 4077
Global Const MQRCCF_HB_INTERVAL_WRONG_TYPE = 4078
Global Const MQRCCF_CHAD_ERROR = 4079
Global Const MQRCCF_CHAD_WRONG_TYPE = 4080
Global Const MQRCCF_CHAD_EVENT_ERROR = 4081
Global Const MQRCCF_CHAD_EVENT_WRONG_TYPE = 4082
Global Const MQRCCF_CHAD_EXIT_ERROR = 4083
Global Const MQRCCF_CHAD_EXIT_WRONG_TYPE = 4084
Global Const MQRCCF_SUPPRESSED_BY_EXIT = 4085
Global Const MQRCCF_BATCH_INT_ERROR = 4086
Global Const MQRCCF_BATCH_INT_WRONG_TYPE = 4087
Global Const MQRCCF_NET_PRIORITY_ERROR = 4088
Global Const MQRCCF_NET_PRIORITY_WRONG_TYPE = 4089


'*********************************************************************'
'*  Values Related to MQCFIL Structure                               *'
'*********************************************************************'

' Structure Length (Fixed Part)
Global Const MQCFIL_STRUC_LENGTH_FIXED = 16

'*********************************************************************'
'*  Values Related to MQCFIN Structure                               *'
'*********************************************************************'

' Structure Length
Global Const MQCFIN_STRUC_LENGTH = 16

'*********************************************************************'
'*  Values Related to MQCFSL Structure                               *'
'*********************************************************************'

' Structure Length (Fixed Part)
Global Const MQCFSL_STRUC_LENGTH_FIXED = 24

'*********************************************************************'
'*  Values Related to MQCFST Structure                               *'
'*********************************************************************'

' Structure Length (Fixed Part)
Global Const MQCFST_STRUC_LENGTH_FIXED = 20

'*********************************************************************'
'*  Values Related to All Structures                                 *'
'*********************************************************************'

' Structure Type
Global Const MQCFT_COMMAND = 1
Global Const MQCFT_RESPONSE = 2
Global Const MQCFT_INTEGER = 3
Global Const MQCFT_STRING = 4
Global Const MQCFT_INTEGER_LIST = 5
Global Const MQCFT_STRING_LIST = 6
Global Const MQCFT_EVENT = 7
Global Const MQCFT_USER = 8


'*********************************************************************'
'*  Values Related to Integer Parameter Structures                   *'
'*********************************************************************'

' Integer Parameter Types
Global Const MQIACF_FIRST = 1001
Global Const MQIACF_Q_MGR_ATTRS = 1001
Global Const MQIACF_Q_ATTRS = 1002
Global Const MQIACF_PROCESS_ATTRS = 1003
Global Const MQIACF_NAMELIST_ATTRS = 1004
Global Const MQIACF_FORCE = 1005
Global Const MQIACF_REPLACE = 1006
Global Const MQIACF_PURGE = 1007
Global Const MQIACF_QUIESCE = 1008
Global Const MQIACF_ALL = 1009
Global Const MQIACF_PARAMETER_ID = 1012
Global Const MQIACF_ERROR_ID = 1013
Global Const MQIACF_ERROR_IDENTIFIER = 1013
Global Const MQIACF_SELECTOR = 1014
Global Const MQIACF_CHANNEL_ATTRS = 1015
Global Const MQIACF_ESCAPE_TYPE = 1017
Global Const MQIACF_ERROR_OFFSET = 1018
Global Const MQIACF_REASON_QUALIFIER = 1020
Global Const MQIACF_COMMAND = 1021
Global Const MQIACF_OPEN_OPTIONS = 1022
Global Const MQIACF_AUX_ERROR_DATA_INT_1 = 1070
Global Const MQIACF_AUX_ERROR_DATA_INT_2 = 1071
Global Const MQIACF_CONV_REASON_CODE = 1072
Global Const MQIACF_BRIDGE_TYPE = 1073
Global Const MQIACF_INQUIRY = 1074
Global Const MQIACF_WAIT_INTERVAL = 1075

Global Const MQIACF_CLUSTER_INFO = 1083
Global Const MQIACF_Q_MGR_DEFINITION_TYPE = 1084
Global Const MQIACF_Q_MGR_TYPE = 1085
Global Const MQIACF_ACTION = 1086
Global Const MQIACF_CLUS_Q_MGR_ATTRS = 1087
Global Const MQIACF_SUSPEND = 1088
Global Const MQIACF_LAST_USED = 1088

Global Const MQIACH_FIRST = 1501
Global Const MQIACH_XMIT_PROTOCOL_TYPE = 1501
Global Const MQIACH_BATCH_SIZE = 1502
Global Const MQIACH_DISC_INTERVAL = 1503
Global Const MQIACH_SHORT_TIMER = 1504
Global Const MQIACH_SHORT_RETRY = 1505
Global Const MQIACH_LONG_TIMER = 1506
Global Const MQIACH_LONG_RETRY = 1507
Global Const MQIACH_PUT_AUTHORITY = 1508
Global Const MQIACH_SEQUENCE_NUMBER_WRAP = 1509
Global Const MQIACH_MAX_MSG_LENGTH = 1510
Global Const MQIACH_CHANNEL_TYPE = 1511
Global Const MQIACH_DATA_COUNT = 1512
Global Const MQIACH_MSG_SEQUENCE_NUMBER = 1514
Global Const MQIACH_DATA_CONVERSION = 1515
Global Const MQIACH_IN_DOUBT = 1516
Global Const MQIACH_MCA_TYPE = 1517
Global Const MQIACH_CHANNEL_INSTANCE_TYPE = 1523
Global Const MQIACH_CHANNEL_INSTANCE_ATTRS = 1524
Global Const MQIACH_CHANNEL_ERROR_DATA = 1525
Global Const MQIACH_CHANNEL_TABLE = 1526
Global Const MQIACH_CHANNEL_STATUS = 1527
Global Const MQIACH_INDOUBT_STATUS = 1528
Global Const MQIACH_LAST_SEQ_NUMBER = 1529
Global Const MQIACH_LAST_SEQUENCE_NUMBER = 1529
Global Const MQIACH_CURRENT_MSGS = 1531
Global Const MQIACH_CURRENT_SEQ_NUMBER = 1532
Global Const MQIACH_CURRENT_SEQUENCE_NUMBER = 1532
Global Const MQIACH_MSGS = 1534
Global Const MQIACH_BYTES_SENT = 1535
Global Const MQIACH_BYTES_RCVD = 1536
Global Const MQIACH_BYTES_RECEIVED = 1536
Global Const MQIACH_BATCHES = 1537
Global Const MQIACH_BUFFERS_SENT = 1538
Global Const MQIACH_BUFFER_RCVD = 1539
Global Const MQIACH_BUFFERS_RECEIVED = 1539
Global Const MQIACH_LONG_RETRIES_LEFT = 1540
Global Const MQIACH_SHORT_RETRIES_LEFT = 1541
Global Const MQIACH_MCA_STATUS = 1542
Global Const MQIACH_STOP_REQUESTED = 1543
Global Const MQIACH_MR_COUNT = 1544
Global Const MQIACH_MR_INTERVAL = 1545
Global Const MQIACH_NPM_SPEED = 1562
Global Const MQIACH_HB_INTERVAL = 1563
Global Const MQIACH_BATCH_INTERVAL = 1564
Global Const MQIACH_NET_PRIORITY = 1565
Global Const MQIACH_LAST_USED = 1565


'*********************************************************************'
'*  Values Related to Character Parameter Structures                 *'
'*********************************************************************'

' Character Parameter Types
Global Const MQCACF_FIRST = 3001
Global Const MQCACF_FROM_Q_NAME = 3001
Global Const MQCACF_TO_Q_NAME = 3002
Global Const MQCACF_FROM_PROCESS_NAME = 3003
Global Const MQCACF_TO_PROCESS_NAME = 3004
Global Const MQCACF_FROM_CHANNEL_NAME = 3007
Global Const MQCACF_TO_CHANNEL_NAME = 3008
Global Const MQCACF_Q_NAMES = 3011
Global Const MQCACF_PROCESS_NAMES = 3012
Global Const MQCACF_ESCAPE_TEXT = 3014
Global Const MQCACF_LOCAL_Q_NAMES = 3015
Global Const MQCACF_MODEL_Q_NAMES = 3016
Global Const MQCACF_ALIAS_Q_NAMES = 3017
Global Const MQCACF_REMOTE_Q_NAMES = 3018
Global Const MQCACF_SENDER_CHANNEL_NAMES = 3019
Global Const MQCACF_SERVER_CHANNEL_NAMES = 3020
Global Const MQCACF_REQUESTER_CHANNEL_NAMES = 3021
Global Const MQCACF_RECEIVER_CHANNEL_NAMES = 3022
Global Const MQCACF_OBJECT_Q_MGR_NAME = 3023
Global Const MQCACF_APPL_NAME = 3024
Global Const MQCACF_USER_IDENTIFIER = 3025
Global Const MQCACF_AUX_ERROR_DATA_STR_1 = 3026
Global Const MQCACF_AUX_ERROR_DATA_STR_2 = 3027
Global Const MQCACF_AUX_ERROR_DATA_STR_3 = 3028
Global Const MQACF_BRIDGE_NAME = 3029
Global Const MQACF_FROM_NAMELIST_NAME = 3030
Global Const MQACF_NAMELIST_NAME = 3031
Global Const MQCACF_LAST_USED = 3031

Global Const MQCACH_FIRST = 3501
Global Const MQCACH_CHANNEL_NAME = 3501
Global Const MQCACH_DESC = 3502
Global Const MQCACH_MODE_NAME = 3503
Global Const MQCACH_TP_NAME = 3504
Global Const MQCACH_XMIT_Q_NAME = 3505
Global Const MQCACH_CONNECTION_NAME = 3506
Global Const MQCACH_MCA_NAME = 3507
Global Const MQCACH_SEC_EXIT_NAME = 3508
Global Const MQCACH_MSG_EXIT_NAME = 3509
Global Const MQCACH_SEND_EXIT_NAME = 3510
Global Const MQCACH_RCV_EXIT_NAME = 3511
Global Const MQCACH_CHANNEL_NAMES = 3512
Global Const MQCACH_SEC_EXIT_USER_DATA = 3513
Global Const MQCACH_MSG_EXIT_USER_DATA = 3514
Global Const MQCACH_SEND_EXIT_USER_DATA = 3515
Global Const MQCACH_RCV_EXIT_USER_DATA = 3516
Global Const MQCACH_USER_ID = 3517
Global Const MQCACH_PASSWORD = 3518
Global Const MQCACH_LAST_MSG_TIME = 3524
Global Const MQCACH_LAST_MSG_DATE = 3525
Global Const MQCACH_MCA_USER_ID = 3527
Global Const MQCACH_CHANNEL_START_TIME = 3528
Global Const MQCACH_CHANNEL_START_DATE = 3529
Global Const MQCACH_MCA_JOB_NAME = 3530
Global Const MQCACH_LAST_LUWID = 3531
Global Const MQCACH_CURRENT_LUWID = 3532
Global Const MQCACH_FORMAT_NAME = 3533
Global Const MQCACH_MR_EXIT_NAME = 3534
Global Const MQCACH_MR_EXIT_USER_DATA = 3535
Global Const MQCACH_LAST_USED = 3535

'*********************************************************************'
'*  Parameter Values                                                 *'
'*********************************************************************'

' Action
Global Const MQACT_FORCE_REMOVE = 1

' Bridge Type
Global Const MQBT_OTMA = 1

' Indoubt Status
Global Const MQCHIDS_NOT_INDOUBT = 0
Global Const MQCHIDS_INDOUBT = 1

' Channel Status
Global Const MQCHS_INACTIVE = 0
Global Const MQCHS_BINDING = 1
Global Const MQCHS_STARTING = 2
Global Const MQCHS_RUNNING = 3
Global Const MQCHS_STOPPING = 4
Global Const MQCHS_RETRYING = 5
Global Const MQCHS_STOPPED = 6
Global Const MQCHS_REQUESTING = 7
Global Const MQCHS_PAUSED = 8
Global Const MQCHS_INITIALIZING = 13

' Channel Stop Option
Global Const MQCHSR_STOP_NOT_REQUESTED = 0
Global Const MQCHSR_STOP_REQUESTED = 1

' Channel Table Type
Global Const MQCHTAB_Q_MGR = 1
Global Const MQCHTAB_CLNTCONN = 2

' Escape Type
Global Const MQET_MQSC = 1

' Event Recording
Global Const MQEVR_DISABLED = 0
Global Const MQEVR_ENABLED = 1

' Force Option
Global Const MQFC_YES = 1
Global Const MQFC_NO = 0

' Action Options
Global Const MQAO_FORCEREMOVE = 1
Global Const MQAO_NONE = 0

' Indoubt Option
Global Const MQIDO_COMMIT = 1
Global Const MQIDO_BACKOUT = 2

' Message Channel Agent Status
Global Const MQMCAS_STOPPED = 0
Global Const MQMCAS_RUNNING = 3

' Purge Option
Global Const MQPO_YES = 1
Global Const MQPO_NO = 0

' Quiesce Option
Global Const MQQO_YES = 1
Global Const MQQO_NO = 0

' Queue Service-Interval Events
Global Const MQQSIE_NONE = 0
Global Const MQQSIE_HIGH = 1
Global Const MQQSIE_OK = 2

' Replace Option
Global Const MQRP_YES = 1
Global Const MQRP_NO = 0

' Suspend Option
Global Const MQSUS_YES = 1
Global Const MQSUS_NO = 0

' QMGR definition type
Global Const MQQMDT_EXPLICIT_CLUSTER_SENDER = 1
Global Const MQQMDT_AUTO_CLUSTER_SENDER = 2
Global Const MQQMDT_CLUSTER_RECEIVER = 3

' QMGR type
Global Const MQQMT_NORMAL = 0
Global Const MQQMT_REPOSITORY = 1

' Reason Qualifiers
Global Const MQRQ_CONN_NOT_AUTHORIZED = 1
Global Const MQRQ_OPEN_NOT_AUTHORIZED = 2
Global Const MQRQ_CLOSE_NOT_AUTHORIZED = 3
Global Const MQRQ_CMD_NOT_AUTHORIZED = 4
Global Const MQRQ_Q_MGR_STOPPING = 5
Global Const MQRQ_Q_MGR_QUIESCING = 6
Global Const MQRQ_CHANNEL_STOPPED_OK = 7
Global Const MQRQ_CHANNEL_STOPPED_ERROR = 8
Global Const MQRQ_CHANNEL_STOPPED_RETRY = 9
Global Const MQRQ_CHANNEL_STOPPED_DISABLED = 10
Global Const MQRQ_BRIDGE_STOPPED_OK = 11
Global Const MQRQ_BRIDGE_STOPPED_ERROR = 12

' Queue Definition Scope
Global Const MQSCO_Q_MGR = 1
Global Const MQSCO_CELL = 2


'*********************************************************************'
'*  MQCFH Structure -- PCF Header                                    *'
'*********************************************************************'

Type MQCFH
  Type As Long            ' Structure type
  StrucLength As Long     ' Structure length
  Version As Long         ' Structure version number
  Command As Long         ' Command identifier
  MsgSeqNumber As Long    ' Message sequence number
  Control As Long         ' Control options
  CompCode As Long        ' Completion code
  Reason As Long          ' Reason code qualifying completion code
  ParameterCount As Long  ' Count of parameter structures
End Type

Global MQCFH_DEFAULT As MQCFH


'*********************************************************************'
'*  MQCFIL Structure -- PCF Integer-List Parameter                   *'
'*********************************************************************'

Type MQCFIL
  Type As Long         ' Structure type
  StrucLength As Long  ' Structure length
  Parameter As Long    ' Parameter identifier
  Count As Long        ' Count of parameter values
End Type

Global MQCFIL_DEFAULT As MQCFIL


'*********************************************************************'
'*  MQCFIN Structure -- PCF Integer Parameter                        *'
'*********************************************************************'

Type MQCFIN
  Type As Long         ' Structure type
  StrucLength As Long  ' Structure length
  Parameter As Long    ' Parameter identifier
  Value As Long        ' Parameter value
End Type

Global MQCFIN_DEFAULT As MQCFIN

'*********************************************************************'
'*  MQCFSL Structure -- PCF String-List Parameter                    *'
'*********************************************************************'

Type MQCFSL
  Type As Long            ' Structure type
  StrucLength As Long     ' Structure length
  Parameter As Long       ' Parameter identifier
  CodedCharSetId As Long  ' Coded character set identifier
  Count As Long           ' Count of parameter values
  StringLength As Long    ' Length of one string
End Type

Global MQCFSL_DEFAULT As MQCFSL


'*********************************************************************'
'*  MQCFST Structure -- PCF String Parameter                         *'
'*********************************************************************'

Type MQCFST
  Type As Long            ' Structure type
  StrucLength As Long     ' Structure length
  Parameter As Long       ' Parameter identifier
  CodedCharSetId As Long  ' Coded character set identifier
  StringLength As Long    ' Length of string
End Type

Global MQCFST_DEFAULT As MQCFST

'**********************************************************************'
'*  MQCFH_DEFAULTS Subroutine -- Initialise MQCFH to default values   *'
'**********************************************************************'
Sub MQCFH_DEFAULTS(Struc As MQCFH)
  Struc.Type = MQCFT_COMMAND
  Struc.StrucLength = MQCFH_STRUC_LENGTH
  Struc.Version = MQCFH_VERSION_1
  Struc.Command = 0
  Struc.MsgSeqNumber = 1
  Struc.Control = MQCFC_LAST
  Struc.CompCode = MQCC_OK
  Struc.Reason = MQRC_NONE
  Struc.ParameterCount = 0
End Sub

'**********************************************************************'
'*  MQCFIL_DEFAULTS Subroutine -- Initialise MQCFIL to default values *'
'**********************************************************************'
Sub MQCFIL_DEFAULTS(Struc As MQCFIL)
  Struc.Type = MQCFT_INTEGER_LIST
  Struc.StrucLength = MQCFIL_STRUC_LENGTH_FIXED
  Struc.Parameter = 0
  Struc.Count = 0
End Sub

'**********************************************************************'
'*  MQCFIN_DEFAULTS Subroutine -- Initialise MQCFIN to default values *'
'**********************************************************************'
Sub MQCFIN_DEFAULTS(Struc As MQCFIN)
  Struc.Type = MQCFT_INTEGER
  Struc.StrucLength = MQCFIN_STRUC_LENGTH
  Struc.Parameter = 0
  Struc.Value = 0
End Sub

'**********************************************************************'
'*  MQCFSL_DEFAULTS Subroutine -- Initialise MQCFSL to default values *'
'**********************************************************************'
Sub MQCFSL_DEFAULTS(Struc As MQCFSL)
  Struc.Type = MQCFT_STRING_LIST
  Struc.StrucLength = MQCFSL_STRUC_LENGTH_FIXED
  Struc.Parameter = 0
  Struc.CodedCharSetId = MQCCSI_DEFAULT
  Struc.Count = 0
  Struc.StringLength = 0
End Sub

'**********************************************************************'
'*  MQCFST_DEFAULTS Subroutine -- Initialise MQCFST to default values *'
'**********************************************************************'
Sub MQCFST_DEFAULTS(Struc As MQCFST)
  Struc.Type = MQCFT_STRING
  Struc.StrucLength = MQCFST_STRUC_LENGTH_FIXED
  Struc.Parameter = 0
  Struc.CodedCharSetId = MQCCSI_DEFAULT
  Struc.StringLength = 0
End Sub

'**********************************************************************'
'*  MQCF_DEFAULTS Subroutine -- Initialise PCF structures to defaults *'
'**********************************************************************'
Sub MQCF_DEFAULTS
  MQCFH_DEFAULTS MQCFH_DEFAULT
  MQCFIL_DEFAULTS MQCFIL_DEFAULT
  MQCFIN_DEFAULTS MQCFIN_DEFAULT
  MQCFSL_DEFAULTS MQCFSL_DEFAULT
  MQCFST_DEFAULTS MQCFST_DEFAULT
End Sub
